/*
   This file is part of the KDE project

   Copyright (c) 2003 Mirko Boehm <mirko@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.

*/
#ifndef _KMILO_KVAIO_H_
#define _KMILO_KVAIO_H_

#include <monitor.h>

class KVaio;

class KMiloKVaio : public KMilo::Monitor {
	public:
		KMiloKVaio(QObject *parent, 
			   const char *name, const QStringList&);
		virtual ~KMiloKVaio();

		virtual bool init();
		virtual DisplayType poll();
		virtual int progress() const;

		virtual void reconfigure(KConfig*);
	private:
		KVaio *m_kvaio;
};

#endif
